package roseindia;

import org.jdom.input.SAXBuilder;
import org.jdom.Document;
import org.jdom.Element;
import java.io.StringReader;

public class GetElementText {
	public static void main(String[] args) {
		String xml = "<BookCatalog>" + "<book name=\"java\">"
		+ "This is programming language book." + "</book>"		
		+ "</BookCatalog>";
		SAXBuilder builder = new SAXBuilder();
		try {
			Document document = builder.build(new StringReader(xml));
			Element root = document.getRootElement();
			Element childBook = root.getChild("book");
			String text = childBook.getText();
			System.out.println("Text : " + text);
			String textTrim = childBook.getTextTrim();
			System.out.println("After trim Text : " + textTrim);
			String textNormalize = childBook.getTextNormalize();
			System.out.println("After normalization Text :" + textNormalize);
		} catch (Exception e) {
			System.out.println(e);
		}
	}
}